foo:
  image: alpine:latest
  stage: build
  script: exit 1
  allow_failure: true
  rules:
    - when: manual
 
bar:
  image: alpine:latest
  stage: build
  script: exit 0
  rules:
    - when: manual
 
foobar:
  image: alpine:latest
  stage: .post
  script: exit 0
  needs:
    - job: bar
    - job: foo 
  rules:
    - when: always